Bug 1409551 - upgrade engine from 4.0.5 to 4.1 failed (unless rhevm-setup-plugins is updated manually first)
Summary: upgrade engine from 4.0.5 to 4.1 failed (unless rhevm-setup-plugins is update...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.0.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.1.0-rc
: ---
Assignee: Sandro Bonazzola
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks: 1412985
TreeView+ depends on / blocked
 
Reported: 2017-01-02 13:08 UTC by Lucie Leistnerova
Modified: 2017-04-25 01:05 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1412985 (view as bug list)
Environment:
Last Closed:
oVirt Team: Integration
Target Upstream Version:


Attachments (Terms of Use)
setup log (3.26 MB, text/plain)
2017-01-02 13:08 UTC, Lucie Leistnerova
no flags Details
ovirt engine setup log (393.71 KB, text/plain)
2017-01-24 12:00 UTC, Gil Klein
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:0997 0 normal SHIPPED_LIVE Red Hat Virtualization Manager (ovirt-engine) 4.1 GA 2017-04-18 20:11:26 UTC

Description Lucie Leistnerova 2017-01-02 13:08:34 UTC
Created attachment 1236660 [details]
setup log

Description of problem:
Upgrade engine from 4.0.5 to 4.1 failed with error 
Failed to execute stage 'Misc configuration': 'module' object has no attribute 'EngineConst'

Version-Release number of selected component (if applicable):
ovirt-engine-4.0.5.5-0.1.el7ev.noarch 
ovirt-engine-setup.noarch 0:4.0.5.5-0.1.el7ev -> ovirt-engine-setup-4.1.0-0.3.beta2.el7.noarch
rhevm-setup-plugins-4.0.0.3-1.el7ev.noarch

How reproducible: always


Steps to Reproduce:
1. have engine 4.0.5.5 installed and running
2. run yum update ovirt-engine-setup ovirt-engine-setup-plugin-websocket-proxy ovirt-engine-dwh-setup
   installed: ovirt-engine-setup-4.1
3. run engine-setup

Actual results: engine-setup ends with error and rollbacks, setup log in attachment


Expected results: engine-setup successfully upgrades to 4.1


Additional info:

engine-setup output repos:
[ INFO  ] Yum Download/Verify: ovirt-engine-4.1.0-0.3.beta2.el7.noarch
[ INFO  ] Yum Download/Verify: ovirt-engine-backend-4.1.0-0.3.beta2.el7.noarch
[ INFO  ] Yum Download/Verify: ovirt-engine-dashboard-1.1.0-0.20161122git65721f8.el7ev.x86_64
[ INFO  ] Yum Download/Verify: ovirt-engine-dbscripts-4.1.0-0.3.beta2.el7.noarch
[ INFO  ] Yum Download/Verify: ovirt-engine-dwh-4.1.0-0.0.master.20161221120158.el7ev.noarch
[ INFO  ] Yum Download/Verify: ovirt-engine-extension-aaa-jdbc-1.1.2-1.el7ev.noarch
[ INFO  ] Yum Download/Verify: ovirt-engine-extensions-api-impl-4.1.0-0.3.beta2.el7.noarch
[ INFO  ] Yum Download/Verify: ovirt-engine-hosts-ansible-inventory-4.1.0-0.3.beta2.el7.noarch
[ INFO  ] Yum Download/Verify: ovirt-engine-restapi-4.1.0-0.3.beta2.el7.noarch
[ INFO  ] Yum Download/Verify: ovirt-engine-tools-4.1.0-0.3.beta2.el7.noarch
[ INFO  ] Yum Download/Verify: ovirt-engine-tools-backup-4.1.0-0.3.beta2.el7.noarch
[ INFO  ] Yum Download/Verify: ovirt-engine-userportal-4.1.0-0.3.beta2.el7.noarch
[ INFO  ] Yum Download/Verify: ovirt-engine-vmconsole-proxy-helper-4.1.0-0.3.beta2.el7.noarch
[ INFO  ] Yum Download/Verify: ovirt-engine-webadmin-portal-4.1.0-0.3.beta2.el7.noarch
[ INFO  ] Yum Download/Verify: ovirt-engine-websocket-proxy-4.1.0-0.3.beta2.el7.noarch
[ INFO  ] Yum Download/Verify: ovirt-host-deploy-1.6.0-0.2.master.gitb76ad50.el7ev.noarch
[ INFO  ] Yum Download/Verify: ovirt-host-deploy-java-1.6.0-0.2.master.gitb76ad50.el7ev.noarch
[ INFO  ] Yum Download/Verify: ovirt-iso-uploader-4.1.0-0.0.master.git14502bd.el7ev.noarch
[ INFO  ] Yum Download/Verify: ovirt-log-collector-4.1.0-0.0.master.git9a06a36.el7.noarch
[ INFO  ] Yum Download/Verify: ovirt-web-ui-0.1.1-2.el7ev.x86_64
[ INFO  ] Yum Download/Verify: redhat-support-plugin-rhev-4.1.0-1.el7.noarch
[ INFO  ] Yum Download/Verify: rhevm-4.1.0-0.3.beta2.el7.noarch
[ INFO  ] Yum Download/Verify: rhevm-branding-rhev-4.1.0-0.0.master.20161128195345.el7ev.noarch
[ INFO  ] Yum Download/Verify: rhevm-dependencies-4.1.0-0.1.alpha.gite3bec5a.el7ev.noarch
[ INFO  ] Yum Download/Verify: rhevm-doc-4.1.0-0.0.master.201611252145.el7ev.noarch
[ INFO  ] Yum Download/Verify: rhevm-setup-plugins-4.1.0-0.1.alpha.20161130141652.el7ev.noarch
[ INFO  ] Yum Download/Verify: vdsm-jsonrpc-java-1.3.5-1.el7ev.noarch

...

[ INFO  ] Yum Verify: 1/52: rhevm.noarch 0:4.0.5.5-0.1.el7ev - u
[ INFO  ] Yum Verify: 2/52: ovirt-host-deploy-java.noarch 0:1.5.3-1.el7ev - u
[ INFO  ] Yum Verify: 3/52: vdsm-jsonrpc-java.noarch 0:1.2.7-1.el7ev - u
[ INFO  ] Yum Verify: 4/52: rhevm-doc.noarch 0:4.0.5-1.el7ev - u
[ INFO  ] Yum Verify: 5/52: ovirt-log-collector.noarch 0:4.0.1-1.el7ev - u
[ INFO  ] Yum Verify: 6/52: ovirt-engine-websocket-proxy.noarch 0:4.0.5.5-0.1.el7ev - u
[ INFO  ] Yum Verify: 7/52: ovirt-engine-dbscripts.noarch 0:4.0.5.5-0.1.el7ev - u
[ INFO  ] Yum Verify: 8/52: rhevm-setup-plugins.noarch 0:4.0.0.3-1.el7ev - u
[ INFO  ] Yum Verify: 9/52: ovirt-host-deploy.noarch 0:1.5.3-1.el7ev - u
[ INFO  ] Yum Verify: 10/52: ovirt-engine-dwh.noarch 0:4.0.5-1.el7ev - u
[ INFO  ] Yum Verify: 11/52: ovirt-engine-extension-aaa-jdbc.noarch 0:1.1.1-1.el7ev - u
[ INFO  ] Yum Verify: 12/52: ovirt-iso-uploader.noarch 0:4.0.2-1.el7ev - u
[ INFO  ] Yum Verify: 13/52: rhevm-dependencies.noarch 0:4.0.0-1.el7ev - u
[ INFO  ] Yum Verify: 14/52: redhat-support-plugin-rhev.noarch 0:4.0.0-7.el7ev - u
[ INFO  ] Yum Verify: 15/52: ovirt-engine-vmconsole-proxy-helper.noarch 0:4.0.5.5-0.1.el7ev - u
[ INFO  ] Yum Verify: 16/52: ovirt-engine-dashboard.x86_64 0:1.0.5-1.el7ev - u
[ INFO  ] Yum Verify: 17/52: rhevm-branding-rhev.noarch 0:4.0.0-5.el7ev - u
[ INFO  ] Yum Verify: 18/52: ovirt-engine-userportal.noarch 0:4.0.5.5-0.1.el7ev - u
[ INFO  ] Yum Verify: 19/52: ovirt-engine-restapi.noarch 0:4.0.5.5-0.1.el7ev - u
[ INFO  ] Yum Verify: 20/52: ovirt-engine-webadmin-portal.noarch 0:4.0.5.5-0.1.el7ev - u
[ INFO  ] Yum Verify: 21/52: ovirt-engine-tools.noarch 0:4.0.5.5-0.1.el7ev - u
[ INFO  ] Yum Verify: 22/52: ovirt-engine-backend.noarch 0:4.0.5.5-0.1.el7ev - u
[ INFO  ] Yum Verify: 23/52: ovirt-engine.noarch 0:4.0.5.5-0.1.el7ev - u
[ INFO  ] Yum Verify: 24/52: ovirt-engine-tools-backup.noarch 0:4.0.5.5-0.1.el7ev - u
[ INFO  ] Yum Verify: 25/52: ovirt-engine-extensions-api-impl.noarch 0:4.0.5.5-0.1.el7ev - u
[ INFO  ] Yum Verify: 26/52: ovirt-log-collector.noarch 0:4.1.0-0.0.master.git9a06a36.el7 - e
[ INFO  ] Yum Verify: 27/52: rhevm.noarch 0:4.1.0-0.3.beta2.el7 - e
[ INFO  ] Yum Verify: 28/52: ovirt-engine-dbscripts.noarch 0:4.1.0-0.3.beta2.el7 - e
[ INFO  ] Yum Verify: 29/52: ovirt-host-deploy.noarch 0:1.6.0-0.2.master.gitb76ad50.el7ev - e
[ INFO  ] Yum Verify: 30/52: ovirt-engine.noarch 0:4.1.0-0.3.beta2.el7 - e
[ INFO  ] Yum Verify: 31/52: ovirt-web-ui.x86_64 0:0.1.1-2.el7ev - e
[ INFO  ] Yum Verify: 32/52: ovirt-engine-backend.noarch 0:4.1.0-0.3.beta2.el7 - e
[ INFO  ] Yum Verify: 33/52: redhat-support-plugin-rhev.noarch 0:4.1.0-1.el7 - e
[ INFO  ] Yum Verify: 34/52: ovirt-engine-dwh.noarch 0:4.1.0-0.0.master.20161221120158.el7ev - e
[ INFO  ] Yum Verify: 35/52: ovirt-engine-websocket-proxy.noarch 0:4.1.0-0.3.beta2.el7 - e
[ INFO  ] Yum Verify: 36/52: rhevm-setup-plugins.noarch 0:4.1.0-0.1.alpha.20161130141652.el7ev - e
[ INFO  ] Yum Verify: 37/52: vdsm-jsonrpc-java.noarch 0:1.3.5-1.el7ev - e
[ INFO  ] Yum Verify: 38/52: ovirt-engine-extension-aaa-jdbc.noarch 0:1.1.2-1.el7ev - e
[ INFO  ] Yum Verify: 39/52: ovirt-engine-vmconsole-proxy-helper.noarch 0:4.1.0-0.3.beta2.el7 - e
[ INFO  ] Yum Verify: 40/52: ovirt-engine-extensions-api-impl.noarch 0:4.1.0-0.3.beta2.el7 - e
[ INFO  ] Yum Verify: 41/52: ovirt-engine-userportal.noarch 0:4.1.0-0.3.beta2.el7 - e
[ INFO  ] Yum Verify: 42/52: rhevm-doc.noarch 0:4.1.0-0.0.master.201611252145.el7ev - e
[ INFO  ] Yum Verify: 43/52: ovirt-engine-restapi.noarch 0:4.1.0-0.3.beta2.el7 - e
[ INFO  ] Yum Verify: 44/52: ovirt-host-deploy-java.noarch 0:1.6.0-0.2.master.gitb76ad50.el7ev - e
[ INFO  ] Yum Verify: 45/52: rhevm-branding-rhev.noarch 0:4.1.0-0.0.master.20161128195345.el7ev - e
[ INFO  ] Yum Verify: 46/52: ovirt-engine-dashboard.x86_64 0:1.1.0-0.20161122git65721f8.el7ev - e
[ INFO  ] Yum Verify: 47/52: ovirt-engine-tools.noarch 0:4.1.0-0.3.beta2.el7 - e
[ INFO  ] Yum Verify: 48/52: rhevm-dependencies.noarch 0:4.1.0-0.1.alpha.gite3bec5a.el7ev - e
[ INFO  ] Yum Verify: 49/52: ovirt-engine-webadmin-portal.noarch 0:4.1.0-0.3.beta2.el7 - e
[ INFO  ] Yum Verify: 50/52: ovirt-engine-hosts-ansible-inventory.noarch 0:4.1.0-0.3.beta2.el7 - e
[ INFO  ] Yum Verify: 51/52: ovirt-iso-uploader.noarch 0:4.1.0-0.0.master.git14502bd.el7ev - e
[ INFO  ] Yum Verify: 52/52: ovirt-engine-tools-backup.noarch 0:4.1.0-0.3.beta2.el7 - e

error in log:
2017-01-02 09:39:55 DEBUG otopi.context context._executeMethod:142 method exception
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/otopi/context.py", line 131, in _executeMethod
    if method['condition']():
  File "/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-setup/rhevm-setup-plugins/distro-rhel/config.py", line 156, in <lambda>
    oenginecons.CoreEnv.ENABLE
AttributeError: 'module' object has no attribute 'EngineConst'


If I update rhevm-setup-plugins manually engine-setup upgrades successfully.

# yum update rhevm-setup-plugins
Loaded plugins: product-id, search-disabled-repos, versionlock
Resolving Dependencies
--> Running transaction check
---> Package rhevm-setup-plugins.noarch 0:4.0.0.3-1.el7ev will be updated
---> Package rhevm-setup-plugins.noarch 0:4.1.0-0.1.alpha.20161130141652.el7ev will be an update
--> Finished Dependency Resolution

Comment 2 Sandro Bonazzola 2017-01-05 08:38:29 UTC
Ido, please update the dependency on rhevm-setup-plugin in engine spec.

Comment 5 Lucie Leistnerova 2017-01-23 15:04:10 UTC
upgrade from 4.0.5.5 still fails with the same error

tested with ovirt-engine-setup-4.1.0.2-0.1.el7.noarch

Comment 9 Gil Klein 2017-01-24 11:54:01 UTC
Still reproduced with 4.1.0.9

# engine-setup
[ INFO  ] Stage: Initializing
[ INFO  ] Stage: Environment setup
          Configuration files: ['/etc/ovirt-engine-setup.conf.d/10-packaging-wsp.conf', '/etc/ovirt-engine-setup.conf.d/10-packaging.conf', '/etc/ovirt-engine-setup.conf.d/20-setup-ovirt-post.conf']
          Log file: /var/log/ovirt-engine/setup/ovirt-engine-setup-20170124134446-5qblp9.log
          Version: otopi-1.5.2 (otopi-1.5.2-1.el7ev)
[ INFO  ] Stage: Environment packages setup
[ INFO  ] Stage: Programs detection
[ INFO  ] Stage: Environment setup
[ INFO  ] Stage: Environment customization

          Welcome to the RHEV 4.0 setup/upgrade.
          Please read the RHEV 4.0 install guide
          https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/4.0/html/Installation_Guide/index.html.
          Please refer to the RHEV Upgrade Helper application
          https://access.redhat.com/labs/rhevupgradehelper/ which will guide you in the upgrading process.
          Would you like to proceed? (Yes, No) [Yes]: yes

          --== PRODUCT OPTIONS ==--


          --== PACKAGES ==--

[ INFO  ] Checking for product updates...
          Setup has found updates for some packages:
          PACKAGE: [updated] otopi-1.5.2-1.el7ev.noarch
          PACKAGE: [update] otopi-1.6.0-1.el7ev.noarch
          PACKAGE: [updated] otopi-java-1.5.2-1.el7ev.noarch
          PACKAGE: [update] otopi-java-1.6.0-1.el7ev.noarch
          PACKAGE: [updated] ovirt-engine-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] ovirt-engine-backend-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-backend-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] ovirt-engine-dashboard-1.0.6-1.el7ev.x86_64
          PACKAGE: [update] ovirt-engine-dashboard-1.1.0-1.el7ev.x86_64
          PACKAGE: [updated] ovirt-engine-dbscripts-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-dbscripts-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] ovirt-engine-dwh-4.0.6-1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-dwh-4.1.0-1.el7ev.noarch
          PACKAGE: [updated] ovirt-engine-dwh-setup-4.0.6-1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-dwh-setup-4.1.0-1.el7ev.noarch
          PACKAGE: [updated] ovirt-engine-extensions-api-impl-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-extensions-api-impl-4.1.0.2-0.2.el7.noarch
          PACKAGE: [install] ovirt-engine-hosts-ansible-inventory-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] ovirt-engine-lib-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-lib-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] ovirt-engine-restapi-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-restapi-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] ovirt-engine-setup-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-setup-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] ovirt-engine-setup-base-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-setup-base-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] ovirt-engine-setup-plugin-ovirt-engine-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-setup-plugin-ovirt-engine-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] ovirt-engine-setup-plugin-ovirt-engine-common-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-setup-plugin-ovirt-engine-common-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] ovirt-engine-setup-plugin-vmconsole-proxy-helper-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-setup-plugin-vmconsole-proxy-helper-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] ovirt-engine-setup-plugin-websocket-proxy-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-setup-plugin-websocket-proxy-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] ovirt-engine-tools-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-tools-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] ovirt-engine-tools-backup-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-tools-backup-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] ovirt-engine-userportal-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-userportal-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] ovirt-engine-vmconsole-proxy-helper-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-vmconsole-proxy-helper-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] ovirt-engine-webadmin-portal-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-webadmin-portal-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] ovirt-engine-websocket-proxy-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] ovirt-engine-websocket-proxy-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] ovirt-host-deploy-1.5.3-1.el7ev.noarch
          PACKAGE: [update] ovirt-host-deploy-1.6.0-1.el7ev.noarch
          PACKAGE: [updated] ovirt-host-deploy-java-1.5.3-1.el7ev.noarch
          PACKAGE: [update] ovirt-host-deploy-java-1.6.0-1.el7ev.noarch
          PACKAGE: [updated] ovirt-log-collector-4.0.1-1.el7ev.noarch
          PACKAGE: [update] ovirt-log-collector-4.1.0-1.el7ev.noarch
          PACKAGE: [install] ovirt-web-ui-0.1.1-2.el7ev.x86_64
          PACKAGE: [updated] redhat-support-plugin-rhev-4.0.0-7.el7ev.noarch
          PACKAGE: [update] redhat-support-plugin-rhev-4.1.0-1.el7.noarch
          PACKAGE: [updated] rhevm-4.0.6.3-0.1.el7ev.noarch
          PACKAGE: [update] rhevm-4.1.0.2-0.2.el7.noarch
          PACKAGE: [updated] rhevm-branding-rhev-4.0.0-6.el7ev.noarch
          PACKAGE: [update] rhevm-branding-rhev-4.1.0-0.el7ev.noarch
          PACKAGE: [updated] rhevm-dependencies-4.0.0-1.el7ev.noarch
          PACKAGE: [update] rhevm-dependencies-4.1.0-1.el7ev.noarch
          PACKAGE: [updated] rhevm-doc-4.0.6-1.el7ev.noarch
          PACKAGE: [update] rhevm-doc-4.1.0-1.el7ev.noarch
          PACKAGE: [updated] rhevm-setup-plugins-4.0.0.3-1.el7ev.noarch
          PACKAGE: [update] rhevm-setup-plugins-4.1.0-1.el7ev.noarch
          PACKAGE: [obsoleted] rhevm-spice-client-x64-msi-4.0-3.el7ev.noarch
          PACKAGE: [obsoleted] rhevm-spice-client-x86-msi-4.0-3.el7ev.noarch
          PACKAGE: [obsoleting] spice-client-msi-x64-4.1-4.el7ev.noarch
          PACKAGE: [obsoleting] spice-client-msi-x86-4.1-4.el7ev.noarch
          PACKAGE: [updated] vdsm-jsonrpc-java-1.2.10-1.el7ev.noarch
          PACKAGE: [update] vdsm-jsonrpc-java-1.3.7-1.el7ev.noarch
          do you wish to update them now? (Yes, No) [Yes]: yes
[ INFO  ] Checking for an update for Setup...
          An update for the Setup packages ovirt-engine-setup ovirt-engine-setup-plugin-websocket-proxy ovirt-engine-dwh-setup was found. Please update that package by running:
          "yum update ovirt-engine-setup ovirt-engine-setup-plugin-websocket-proxy ovirt-engine-dwh-setup"
          and then execute Setup again.
[ ERROR ] Failed to execute stage 'Environment customization': Please update the Setup packages
[ INFO  ] Stage: Clean up
          Log file is located at /var/log/ovirt-engine/setup/ovirt-engine-setup-20170124134446-5qblp9.log
[ INFO  ] Generating answer file '/var/lib/ovirt-engine/setup/answers/20170124134509-setup.conf'
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ ERROR ] Execution of setup faile

Comment 11 Gil Klein 2017-01-24 12:00:08 UTC
Created attachment 1243898 [details]
ovirt engine setup log

Comment 12 Sandro Bonazzola 2017-01-24 12:11:15 UTC
Moving to ON_QA according to comment #9.

 An update for the Setup packages ovirt-engine-setup ovirt-engine-setup-plugin-websocket-proxy ovirt-engine-dwh-setup was found. Please update that package by running:
          "yum update ovirt-engine-setup ovirt-engine-setup-plugin-websocket-proxy ovirt-engine-dwh-setup"

is expected since the correct update procedure requires:
yum update "ovirt-engine-setup*" which would have included above packages
before running engine-setup.

Comment 13 Sandro Bonazzola 2017-01-24 12:12:34 UTC
Note that the original issue is not at all reproduced in comment #9.
The issue was:

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/otopi/context.py", line 131, in _executeMethod
    if method['condition']():
  File "/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-setup/rhevm-setup-plugins/distro-rhel/config.py", line 156, in <lambda>
    oenginecons.CoreEnv.ENABLE
AttributeError: 'module' object has no attribute 'EngineConst'

Comment 14 Yedidyah Bar David 2017-01-24 12:44:59 UTC
(In reply to Sandro Bonazzola from comment #12)
> Moving to ON_QA according to comment #9.
> 
>  An update for the Setup packages ovirt-engine-setup
> ovirt-engine-setup-plugin-websocket-proxy ovirt-engine-dwh-setup was found.
> Please update that package by running:
>           "yum update ovirt-engine-setup
> ovirt-engine-setup-plugin-websocket-proxy ovirt-engine-dwh-setup"
> 
> is expected since the correct update procedure requires:
> yum update "ovirt-engine-setup*" which would have included above packages
> before running engine-setup.

Actually it will not include dwh. We should correct our procedure to say something like:

yum update "ovirt*setup*"

Also we might want to update our spec file. IIRC we didn't in the beginning of the 4.1 development phase due to bug 1366900.

Comment 15 Lucie Leistnerova 2017-01-24 13:11:02 UTC
rhevm-setup-plugins updated by updating ovirt-engine-setup and then engine-setup upgraded engine successfully

tested in ovirt-engine-4.1.0.2-0.2.el7.noarch


Note You need to log in before you can comment on or make changes to this bug.